Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76833 - graphical upgrade to RH 8 fails
Summary: graphical upgrade to RH 8 fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-27 20:24 UTC by Tom Hodges
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-21 18:50:02 UTC


Attachments (Terms of Use)

Description Tom Hodges 2002-10-27 20:24:35 UTC
Description of Problem:
In trying to upgrade my RH 7.1 system (on a cyrix 150 cpu) I
got this 
error after the "Finding Packages" screen.

An unhandled exception has occurred.  This is 
most likely
a bug.  Please copy the full text of this exception or 
save the crash dump to a floppy 
then file a detailed bug 
report against anaconda at 

http://bugzilla.redhat.com/bugzilla

Traceback (most recent call last):
File 
"/usr/bin/anaconda", line 694 in ?
intf.run(id,dispatch.configFileData) File 
"/usr/bin/anaconda/text.py",
line 446, in run dispatch.gotoNext() File 
"/usr/bin/anaconda/dispatch.py",
line 150, in gotoNext self.moveStep() 
File
"/usr/bin/anaconda/dispatch.py", line 215, in moveStep rc = 
apply(func,
self.bindArgs)args)) File "/usr/bin/anaconda/upgrade.py", line 349, 
in
upgradeFindPackages id.hdList[package[rpm.RPMTAG_NAME]].select() 
File
"/usr/bin/anaconda/comps.py", line 171, in __getitem__ 
return
self.packages[item]


Version-Release number of selected component (if 
applicable):
upgrade RH 7.1 to 8

How Reproducible: always


Steps to Reproduce:
1. 
chose Graphical, US, English, Upgrade existing, customize packages or not
2. The above error 
comes shortly after the Finding Packages screen
3. 

Actual Results:  doesn't do 
anything


Expected Results: upgrade to RH 8


Additional Information:

Comment 1 Michael Fulbright 2002-10-30 22:30:52 UTC
Please attach the entire error dump.

Comment 2 Michael Fulbright 2002-12-02 16:12:41 UTC
Closing due to inactivity, please reopen if you have additional information to add.

Comment 3 Red Hat Bugzilla 2006-02-21 18:50:02 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.